From: "Heather Cynede" <cynede@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/dotnet:master commit in: app-shells/pash/
Date: Thu, 25 Jun 2015 07:04:27 +0000 (UTC) [thread overview]
Message-ID: <1434897469.64be044f3ada04eb29a440e0e383f66947d656bf.cynede@gentoo> (raw)
commit: 64be044f3ada04eb29a440e0e383f66947d656bf
Author: layman <-v>
AuthorDate: Sun Jun 21 14:37:49 2015 +0000
Commit: Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Sun Jun 21 14:37:49 2015 +0000
URL: https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=64be044f
fixes for repoman
app-shells/pash/pash-0.0-r20150618.ebuild | 31 +++++++++++++++----------------
1 file changed, 15 insertions(+), 16 deletions(-)
diff --git a/app-shells/pash/pash-0.0-r20150618.ebuild b/app-shells/pash/pash-0.0-r20150618.ebuild
index 1cb27fc..6f0268a 100644
--- a/app-shells/pash/pash-0.0-r20150618.ebuild
+++ b/app-shells/pash/pash-0.0-r20150618.ebuild
@@ -8,7 +8,7 @@ inherit dotnet
DESCRIPTION="An Open Source reimplementation of Windows PowerShell"
-LICENSE="BSD || ( GPL )" # LICENSE syntax is defined in https://wiki.gentoo.org/wiki/GLEP:23
+LICENSE="BSD || ( GPL-2+ )" # LICENSE syntax is defined in https://wiki.gentoo.org/wiki/GLEP:23
SLOT="0"
@@ -25,25 +25,24 @@ RDEPEND="${DEPEND}"
S="${WORKDIR}/${PROJECTNAME}-${EGIT_COMMIT}"
-
METAFILETOBUILD=${PROJECTNAME}.proj
src_compile() {
- # https://bugzilla.xamarin.com/show_bug.cgi?id=9340
- if use debug; then
- exbuild /p:DebugSymbols=True ${METAFILETOBUILD}
- else
- exbuild /p:DebugSymbols=False ${METAFILETOBUILD}
- fi
+ # https://bugzilla.xamarin.com/show_bug.cgi?id=9340
+ if use debug; then
+ exbuild /p:DebugSymbols=True ${METAFILETOBUILD}
+ else
+ exbuild /p:DebugSymbols=False ${METAFILETOBUILD}
+ fi
}
src_install() {
- elog "Installing assemblies"
- insinto /usr/lib/pash/
- doins ${S}/Source/PashConsole/bin/Release/Pash.exe
- doins ${S}/Source/PashConsole/bin/Release/*.dll
- if use debug; then
- doins ${S}/Source/PashConsole/bin/Release/*.mdb
- fi
- make_wrapper pash "mono /usr/lib/pash/Pash.exe"
+ elog "Installing assemblies"
+ insinto /usr/lib/pash/
+ doins "${S}/Source/PashConsole/bin/Release/Pash.exe"
+ doins "${S}/Source/PashConsole/bin/Release/*.dll"
+ if use debug; then
+ doins "${S}/Source/PashConsole/bin/Release/*.mdb"
+ fi
+ make_wrapper pash "mono /usr/lib/pash/Pash.exe"
}
next reply other threads:[~2015-06-25 7:04 UTC|newest]
Thread overview: 5+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-06-25 7:04 Heather Cynede [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-10-30 6:44 [gentoo-commits] proj/dotnet:master commit in: app-shells/pash/ Mikhail Pukhlikov
2017-10-30 6:44 Mikhail Pukhlikov
2015-06-25 7:04 Heather Cynede
2015-06-25 7:04 Heather Cynede
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1434897469.64be044f3ada04eb29a440e0e383f66947d656bf.cynede@gentoo \
--to=cynede@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox